Page MenuHomePhabricator

[ARM] Initial LE bitconvert patterns
AbandonedPublic

Authored by dmgreen on Jun 13 2019, 4:54 AM.

Details

Summary

This add the basic little endian bitconvert patterns for MVE, same as those in Neon. These are needed to get things going, so we can start adding other selection patterns.

I've not added bigendian yet, which if they work the same as neon will need to do bitreverses. The tests here are not really testing much, unfortunately. I will adjust them to be better when adding BE support.

Diff Detail

Event Timeline

dmgreen created this revision.Jun 13 2019, 4:54 AM
samparker accepted this revision.Jun 14 2019, 12:44 AM

What's big-endian anyway..? LGTM.

This revision is now accepted and ready to land.Jun 14 2019, 12:44 AM
dmgreen abandoned this revision.Jun 26 2019, 7:33 AM

Rolled into D60708 as it was needed in there too.